{
  "name": "jiaolongcloud",
  "version": "0.1.0",
  "private": true,
  "main": "plugins/electron.js",
  "description": "jiaolongcloud",
  "scripts": {
    "serve": "vue-cli-service serve",
    "build": "vue-cli-service build",
    "build:package": "node plugins/build.js",
    "start": "yarn run serve",
    "start:win": "electron .",
    "lint": "vue-cli-service lint"
  },
  "dependencies": {
    "@ant-design/icons-vue": "^6.1.0",
    "@codemirror/lang-javascript": "^6.1.7",
    "@codemirror/lang-vue": "^0.1.1",
    "@codemirror/theme-one-dark": "^6.1.2",
    "@codemirror/view": "^6.10.1",
    "@ssthouse/vue3-tree-chart": "^0.2.6",
    "@vue-js-cron/ant": "^1.1.2",
    "@vueuse/core": "^9.13.0",
    "ant-design-vue": "^4.0.0-rc.3",
    "axios": "^1.3.5",
    "codemirror": "^6.0.1",
    "core-js": "^3.8.3",
    "dayjs": "^1.11.7",
    "echarts": "^5.4.2",
    "flicker-vue-hooks": "^1.0.16",
    "html2canvas": "^1.4.1",
    "mitt": "^3.0.0",
    "normalize.css": "^8.0.1",
    "path-browserify": "^1.0.1",
    "pinia": "^2.0.33",
    "style-resources-loader": "^1.5.0",
    "vue": "^3.2.13",
    "vue-class-component": "^8.0.0-0",
    "vue-hooks-plus": "^1.6.2",
    "vue-router": "^4.0.3",
    "w3c-keyname": "^2.2.8"
  },
  "devDependencies": {
    "@typescript-eslint/eslint-plugin": "^5.4.0",
    "@typescript-eslint/parser": "^5.4.0",
    "@vue/cli-plugin-babel": "~5.0.0",
    "@vue/cli-plugin-eslint": "~5.0.0",
    "@vue/cli-plugin-router": "~5.0.0",
    "@vue/cli-plugin-typescript": "~5.0.0",
    "@vue/cli-service": "~5.0.0",
    "@vue/eslint-config-standard": "^6.1.0",
    "@vue/eslint-config-typescript": "^9.1.0",
    "electron": "^25.2.0",
    "eslint": "^7.32.0",
    "eslint-plugin-import": "^2.25.3",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-promise": "^5.1.0",
    "eslint-plugin-vue": "^8.0.3",
    "less": "^4.0.0",
    "less-loader": "^8.0.0",
    "lint-staged": "^11.1.2",
    "typescript": "~4.5.5"
  },
  "eslintConfig": {
    "root": true,
    "env": {
      "node": true
    },
    "extends": [
      "plugin:vue/vue3-essential",
      "@vue/standard",
      "@vue/typescript/recommended"
    ],
    "parserOptions": {
      "ecmaVersion": 2020
    },
    "rules": {}
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not dead",
    "not ie 11"
  ],
  "gitHooks": {
    "pre-commit": "lint-staged"
  },
  "lint-staged": {
    "*.{js,jsx,vue,ts,tsx}": "vue-cli-service lint"
  }
}
